콘텐츠로 건너뛰기

[ 해결 ] 이 운영 체제에서는 .net framework 4.8이 가 지원되지 않습니다

윈도우 7에서 닷넷프레임워크 4.8을 설치할 때 이와 같은 문구를 보게 됩니다.

이 운영 체제에서는 .net framework 4.8이 가 지원되지 않습니다

인증서 체인은 처리되었지만, 신뢰 공급자에 의해 신뢰되지 않는 루트 인증서에서 중지되었습니다.

인증서 체인은 처리되었지만, 신뢰 공급자에 의해 신뢰되지 않는 루트 인증서에서 중지되었습니다.

윈도우 7 SP1 이하에서는 닷넷프레임워크가 설치 되지 않습니다.

또한 윈도우 7 SP 1 임에도 불구하고 설치가 안되는 경우에는 윈도우7 SP1 다른 버전의 ISO를 이용하여 다시 설치해야합니다.

같은 윈도우 7 SP1 임에도 불구하고 특정 보안업데이트와 윈도우 업데이트 여부에 따라서 닷넷프레임워크가 설치 안될 수 있습니다.

다시 정리르 하면 이렇습니다.

 

윈도우 7 닷넷프레임워크 4.8 설치 방법

1. SP1으로 업데이트를 합니다.

2. 업데이트를 하였지만 그래도 설치가 안될 경우에는 새로운 정식 ISO를 이용하여 윈도우7를 재설치 합니다.

이 운영 체제에서는 .net framework 4.8이 가 지원되지 않습니다

이 운영 체제에서는 .net framework 4.8이 가 지원되지 않습니다 설치 에러 문구이 두가지가 충복하게되면 보시는것처럼 윈도우7 SP1에서 닷넷프레임워크 4.8 버전을 설치 할 수 있습니다.

C#으로 프로그램을 제작하다보니 닷넷프레임워크 버전업으로 인해서 가상화된 윈도우 7에서 동작하지 않는경우가 있습니다.

이때에는 업그레이드를 해야하니 업데이트와 윈도우 재설치 참고하셔서 진행하면 됩니다.

 

닷넷프레임워크 4.8 다운로드

https://support.microsoft.com/ko-kr/help/4503548/microsoft-net-framework-4-8-offline-installer-for-windows

다운로드: https://go.microsoft.com/fwlink/?linkid=2088631

 

.NET Framework 4.8 설치 방법

1. 닷넷프레임워크 4.8을 다운받아 실행합니다.

 

2. 동의와 설치 버튼을 클릭하면 바로 설치가 됩니다.

 

3. 설치가 완료되었습니다.

재부팅하고 닷넷4.8 지원하는 프로그램을 실행 할 수 있습니다.

윈도우 8, 윈도우10에서는 닷넷프레임워크4.8 설치가 잘 됩니다.

윈도우7에서 설치 하다가 에러나시는 분들에게 도움이 되셨으면 합니다.

감사합니다.